## Package Win32::GUI::Animation

Back to the Packages

- Constructor

  - new Win32::GUI::Animation(PARENT, %OPTIONS)

- Methods

  - Close()

  - Open(FILE)

  - Play([FROM], [TO], [REPEAT])

  - Seek(FRAME)

  - Stop()

### Constructor

new Win32::GUI::Animation(PARENT, %OPTIONS)

  Creates a new Animation object; can also be called as PARENT->AddAnimation(%OPTIONS). Class specific `%OPTIONS` are:

        -autoplay    => 0/1 (default 0)
          starts playing the animation as soon as an AVI clip is loaded
        -center      => 0/1 (default 0)
          centers the animation in the control window
        -transparent => 0/1 (default 0)
          draws the animation using a transparent background

### Methods

Close()

  Closes an AVI clip and displays its first frame in an animation control

Open(FILE)

  Opens an AVI clip and displays its first frame in an animation control.

Play([FROM], [TO], [REPEAT])

  Plays an AVI clip in an animation control.

Seek(FRAME)

  Directs an animation control to display a particular frame of an AVI clip.

Stop()

  Stops playing an AVI clip in an animation control.